Fix counting in last checkin.
--- diff/drivers/md/dm-mpath.c	2004-10-29 22:29:23.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2004-10-29 22:27:26.000000000 +0100
@@ -261,12 +261,13 @@
 	if ((path && m->queue_io) || (!path && m->queue_if_no_path))
 		must_queue = 1;
 
-	if (was_queued && !must_queue)
+	if (was_queued)
 		m->queue_size--;
 
 	if (must_queue) {
 		/* queue for the daemon to resubmit */
 		bio_list_add(&m->queued_ios, bio);
+		m->queue_size++;
 		if (m->pg_init_required || !m->queue_io)
 			schedule_work(&m->process_queued_ios);
 	}
@@ -878,6 +879,7 @@
 		/* queue for the daemon to resubmit or fail */
 		spin_lock(&m->lock);
 		bio_list_add(&m->queued_ios, bio);
+		m->queue_size++;
 		if (!m->queue_io)
 			schedule_work(&m->process_queued_ios);
 		spin_unlock(&m->lock);
